> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.ard.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh location data

> Refreshes local/global locations and airports data. This is an administrative endpoint.



## OpenAPI

````yaml api-reference/pinpoint/openapi.json get /refreshLocations
openapi: 3.0.1
info:
  title: Pinpoint API
  description: >-
    Weather forecast API providing hourly and daily forecasts, location
    information, and weather parameters
  version: 1.0.0
servers:
  - url: http://pinpoint.devops.arabiaweather.com
    description: Development API server
  - url: http://n01.pinpoint.devops.arabiaweather.com
    description: Development node n01
  - url: http://n02.pinpoint.devops.arabiaweather.com
    description: Development node n02
  - url: http://n03.pinpoint.devops.arabiaweather.com
    description: Development node n03
  - url: http://n04.pinpoint.devops.arabiaweather.com
    description: Development node n04
  - url: http://n05.pinpoint.devops.arabiaweather.com
    description: Development node n05
  - url: http://internal-tools-pinpoint.devops.arabiaweather.com
    description: Internal tools API server
security: []
tags:
  - name: forecast
  - name: parameters
  - name: location
  - name: admin
  - name: debug
paths:
  /refreshLocations:
    get:
      tags:
        - admin
      summary: Refresh location data
      description: >-
        Refreshes local/global locations and airports data. This is an
        administrative endpoint.
      parameters: []
      responses:
        '202':
          description: Accepted, refresh task started
          content:
            text/plain:
              schema:
                type: string
                example: Refresh task started
      deprecated: false
      security: []

````